---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Borders.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Borders.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_BORDERS_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_BORDERS_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;TGUI/Config.hpp&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;{</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html">   37</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1Borders.html">Borders</a></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;      <span class="keyword">public</span>:</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#a67e06fc6b1b8d406b2efb1ed8c1a90c2">   44</a></span>&#160;        <a class="code" href="classtgui_1_1Borders.html#a67e06fc6b1b8d406b2efb1ed8c1a90c2">Borders</a>(<span class="keywordtype">float</span> size = 0) :</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            left  (size),</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            top   (size),</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;            right (size),</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            bottom(size)</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        }</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#a2e2430d451b6078fc68b77db6cfb6208">   62</a></span>&#160;        <a class="code" href="classtgui_1_1Borders.html#a2e2430d451b6078fc68b77db6cfb6208">Borders</a>(<span class="keywordtype">float</span> leftBorderWidth, <span class="keywordtype">float</span> topBorderHeight, <span class="keywordtype">float</span> rightBorderWidth, <span class="keywordtype">float</span> bottomBorderHeight) :</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            left  (leftBorderWidth),</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            top   (topBorderHeight),</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            right (rightBorderWidth),</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            bottom(bottomBorderHeight)</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        {</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#a6f7a18ed303b1cf6fdacf56f345bb152">   78</a></span>&#160;        <a class="code" href="classtgui_1_1Borders.html#a6f7a18ed303b1cf6fdacf56f345bb152">Borders</a>(<span class="keywordtype">float</span> width, <span class="keywordtype">float</span> height) :</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            left  (width),</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            top   (height),</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            right (width),</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            bottom(height)</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        {</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        }</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#ae6c55d9e96b397a480390dc8ea2079d8">   95</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="classtgui_1_1Borders.html#ae6c55d9e96b397a480390dc8ea2079d8">operator==</a>(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Borders</a>&amp; borders)<span class="keyword"> const</span></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            <span class="keywordflow">return</span> (left == borders.<a class="code" href="classtgui_1_1Borders.html#a0db2cedc6ef0b5488d604976ec65d2ca">left</a>) &amp;&amp; (top == borders.<a class="code" href="classtgui_1_1Borders.html#a590a94ae1512a72027b8f2f6a0a43b88">top</a>) &amp;&amp; (right == borders.<a class="code" href="classtgui_1_1Borders.html#a96284882b2e34f7544876a2bd26edb33">right</a>) &amp;&amp; (bottom == borders.<a class="code" href="classtgui_1_1Borders.html#a06afa4b92ff533d6cc82cd361b97c836">bottom</a>);</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        }</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#a6a51576379a1b6e1b4a2ac1e6324827e">  109</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="classtgui_1_1Borders.html#a6a51576379a1b6e1b4a2ac1e6324827e">operator!=</a>(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Borders</a>&amp; borders)<span class="keyword"> const</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            <span class="keywordflow">return</span> !(*<span class="keyword">this</span> == borders);</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        }</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#a0db2cedc6ef0b5488d604976ec65d2ca">  118</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="classtgui_1_1Borders.html#a0db2cedc6ef0b5488d604976ec65d2ca">left</a>;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#a590a94ae1512a72027b8f2f6a0a43b88">  121</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="classtgui_1_1Borders.html#a590a94ae1512a72027b8f2f6a0a43b88">top</a>;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#a96284882b2e34f7544876a2bd26edb33">  124</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="classtgui_1_1Borders.html#a96284882b2e34f7544876a2bd26edb33">right</a>;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="classtgui_1_1Borders.html#a06afa4b92ff533d6cc82cd361b97c836">  127</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="classtgui_1_1Borders.html#a06afa4b92ff533d6cc82cd361b97c836">bottom</a>;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    };</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keyword">using</span> <a class="code" href="classtgui_1_1Borders.html">Padding</a> = <a class="code" href="classtgui_1_1Borders.html">Borders</a>;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetBorders.html">  136</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    {</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;      <span class="keyword">public</span>:</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        <span class="keyword">virtual</span> ~<a class="code" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a>() {};</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">  149</a></span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a>(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Borders</a>&amp; borders)</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        {</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;            m_borders = borders;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;        }</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">  164</a></span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a>(<span class="keywordtype">float</span> leftBorder,  <span class="keywordtype">float</span> topBorder, <span class="keywordtype">float</span> rightBorder, <span class="keywordtype">float</span> bottomBorder)</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        {</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;            setBorders({leftBorder, topBorder, rightBorder, bottomBorder});</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        }</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">  177</a></span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a>(<span class="keywordtype">float</span> width,  <span class="keywordtype">float</span> height)</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        {</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;            setBorders({width, height});</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;        }</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">  192</a></span>&#160;        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Borders.html">Borders</a> <a class="code" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;            <span class="keywordflow">return</span> m_borders;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;        }</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;      <span class="keyword">protected</span>:</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;        <a class="code" href="classtgui_1_1Borders.html">Borders</a> m_borders;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    };</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetPadding.html">  210</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1WidgetPadding.html">WidgetPadding</a></div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    {</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;      <span class="keyword">public</span>:</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;        <span class="keyword">virtual</span> ~<a class="code" href="classtgui_1_1WidgetPadding.html">WidgetPadding</a>() {};</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00223"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">  223</a></span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">setPadding</a>(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Padding</a>&amp; padding)</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;        {</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;            m_padding = padding;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;        }</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00238"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">  238</a></span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">setPadding</a>(<span class="keywordtype">float</span> leftPadding,  <span class="keywordtype">float</span> topPadding, <span class="keywordtype">float</span> rightPadding, <span class="keywordtype">float</span> bottomPadding)</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;        {</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;            setPadding({leftPadding, topPadding, rightPadding, bottomPadding});</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;        }</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div><div class="line"><a name="l00251"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">  251</a></span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">setPadding</a>(<span class="keywordtype">float</span> width,  <span class="keywordtype">float</span> height)</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;        {</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;            setPadding({width, height});</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;        }</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00266"></a><span class="lineno"><a class="line" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">  266</a></span>&#160;        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Borders.html">Padding</a> <a class="code" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;            <span class="keywordflow">return</span> m_padding;</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;        }</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;      <span class="keyword">protected</span>:</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;        <a class="code" href="classtgui_1_1Borders.html">Padding</a> m_padding;</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;    };</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;}</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;<span class="preprocessor">#endif // TGUI_BORDERS_HPP</span></div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html_a75128d6d549e479c4b455afc77a75f9e"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">tgui::WidgetBorders::setBorders</a></div><div class="ttdeci">virtual void setBorders(const Borders &amp;borders)</div><div class="ttdoc">Changes the size of the borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:149</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html_a06448dfb10275ea7939c248ddf88f46d"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">tgui::WidgetPadding::setPadding</a></div><div class="ttdeci">virtual void setPadding(const Padding &amp;padding)</div><div class="ttdoc">Changes the size of the padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:223</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_a06afa4b92ff533d6cc82cd361b97c836"><div class="ttname"><a href="classtgui_1_1Borders.html#a06afa4b92ff533d6cc82cd361b97c836">tgui::Borders::bottom</a></div><div class="ttdeci">float bottom</div><div class="ttdoc">Height of the bottom border. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:127</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html_a865dcb475db3ef518b601846045c9212"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">tgui::WidgetPadding::setPadding</a></div><div class="ttdeci">void setPadding(float leftPadding, float topPadding, float rightPadding, float bottomPadding)</div><div class="ttdoc">Changes the size of the padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:238</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_a6a51576379a1b6e1b4a2ac1e6324827e"><div class="ttname"><a href="classtgui_1_1Borders.html#a6a51576379a1b6e1b4a2ac1e6324827e">tgui::Borders::operator!=</a></div><div class="ttdeci">bool operator!=(const Borders &amp;borders) const </div><div class="ttdoc">Compare two borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:109</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_a0db2cedc6ef0b5488d604976ec65d2ca"><div class="ttname"><a href="classtgui_1_1Borders.html#a0db2cedc6ef0b5488d604976ec65d2ca">tgui::Borders::left</a></div><div class="ttdeci">float left</div><div class="ttdoc">Width of the left border. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:118</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html_abba6165c8b9220c6bf904446a0c7f262"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">tgui::WidgetPadding::setPadding</a></div><div class="ttdeci">void setPadding(float width, float height)</div><div class="ttdoc">Changes the size of the padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:251</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html_ab1a3bd4fee10eb2dcab6bce06efcea45"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">tgui::WidgetBorders::setBorders</a></div><div class="ttdeci">void setBorders(float width, float height)</div><div class="ttdoc">Changes the size of the borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:177</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></div><div class="ttdoc">Parent class for every widget that has padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:210</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html_a6c42822ce84bce93ff85ef8c9e53bdac"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">tgui::WidgetBorders::getBorders</a></div><div class="ttdeci">virtual Borders getBorders() const </div><div class="ttdoc">Returns the size of the borders as a tgui::Borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:192</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_a2e2430d451b6078fc68b77db6cfb6208"><div class="ttname"><a href="classtgui_1_1Borders.html#a2e2430d451b6078fc68b77db6cfb6208">tgui::Borders::Borders</a></div><div class="ttdeci">Borders(float leftBorderWidth, float topBorderHeight, float rightBorderWidth, float bottomBorderHeight)</div><div class="ttdoc">Constructor that initializes the borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:62</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></div><div class="ttdoc">Parent class for every widget that has borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:136</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_a590a94ae1512a72027b8f2f6a0a43b88"><div class="ttname"><a href="classtgui_1_1Borders.html#a590a94ae1512a72027b8f2f6a0a43b88">tgui::Borders::top</a></div><div class="ttdeci">float top</div><div class="ttdoc">Height of the top border. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:121</div></div>
<div class="ttc" id="classtgui_1_1Borders_html"><div class="ttname"><a href="classtgui_1_1Borders.html">tgui::Borders</a></div><div class="ttdef"><b>Definition:</b> Borders.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_a96284882b2e34f7544876a2bd26edb33"><div class="ttname"><a href="classtgui_1_1Borders.html#a96284882b2e34f7544876a2bd26edb33">tgui::Borders::right</a></div><div class="ttdeci">float right</div><div class="ttdoc">Width of the right border. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:124</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_a6f7a18ed303b1cf6fdacf56f345bb152"><div class="ttname"><a href="classtgui_1_1Borders.html#a6f7a18ed303b1cf6fdacf56f345bb152">tgui::Borders::Borders</a></div><div class="ttdeci">Borders(float width, float height)</div><div class="ttdoc">Constructor that initializes the borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:78</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html_a19f9c75a3091e3812a1ed997e4b33260"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">tgui::WidgetBorders::setBorders</a></div><div class="ttdeci">void setBorders(float leftBorder, float topBorder, float rightBorder, float bottomBorder)</div><div class="ttdoc">Changes the size of the borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:164</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html_ab1c34add1232dc4cd8dca0ebc4dc8a20"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">tgui::WidgetPadding::getPadding</a></div><div class="ttdeci">virtual Padding getPadding() const </div><div class="ttdoc">Returns the size of the padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:266</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_ae6c55d9e96b397a480390dc8ea2079d8"><div class="ttname"><a href="classtgui_1_1Borders.html#ae6c55d9e96b397a480390dc8ea2079d8">tgui::Borders::operator==</a></div><div class="ttdeci">bool operator==(const Borders &amp;borders) const </div><div class="ttdoc">Compare two borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:95</div></div>
<div class="ttc" id="classtgui_1_1Borders_html_a67e06fc6b1b8d406b2efb1ed8c1a90c2"><div class="ttname"><a href="classtgui_1_1Borders.html#a67e06fc6b1b8d406b2efb1ed8c1a90c2">tgui::Borders::Borders</a></div><div class="ttdeci">Borders(float size=0)</div><div class="ttdoc">Default constructor. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:44</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:40 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
